Loading...
Searching...
No Matches
pcl::poisson::BSplineData< Degree, Real > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/bspline_data.h>`

## Classes

struct | BSplineComponents

## Public Member Functions

| BSplineData ()
virtual | ~BSplineData ()
virtual void | setDotTables (int flags)
virtual void | clearDotTables (int flags)
virtual void | setValueTables (int flags, double smooth=0)
virtual void | setValueTables (int flags, double valueSmooth, double normalSmooth)
virtual void | clearValueTables ()
void | setSampleSpan (int idx, int &start, int &end, double smooth=0) const
void | set (int maxDepth, bool useDotRatios=true, bool reflectBoundary=false)
int | Index (int i1, int i2) const

## Static Public Member Functions

static int | SymmetricIndex (int i1, int i2)
static int | SymmetricIndex (int i1, int i2, int &index)

## Public Attributes

int | depth
int | functionCount
int | sampleCount
Real * | vvDotTable
Real * | dvDotTable
Real * | ddDotTable
Real * | valueTables
Real * | dValueTables
PPolynomial< Degree > | baseFunction
PPolynomial< Degree > | leftBaseFunction
PPolynomial< Degree > | rightBaseFunction
PPolynomial< Degree-1 > | dBaseFunction
PPolynomial< Degree-1 > | dLeftBaseFunction
PPolynomial< Degree-1 > | dRightBaseFunction
BSplineComponents | baseBSpline
BSplineComponents | leftBSpline
BSplineComponents | rightBSpline
PPolynomial< Degree > * | baseFunctions
BSplineComponents * | baseBSplines

## Static Public Attributes

static const int | VV_DOT_FLAG = 1
static const int | DV_DOT_FLAG = 2
static const int | DD_DOT_FLAG = 4
static const int | VALUE_FLAG = 1
static const int | D_VALUE_FLAG = 2

## Detailed Description

template<int Degree, class Real>
class pcl::poisson::BSplineData< Degree, Real >

Definition at line 45 of file bspline_data.h.

## Constructor & Destructor Documentation

## BSplineData()

template<int Degree, class Real>

pcl::poisson::BSplineData< Degree, Real >::BSplineData | ( |  | ) |

Definition at line 84 of file bspline_data.hpp.

References baseBSplines, baseFunctions, ddDotTable, dValueTables, dvDotTable, functionCount, sampleCount, valueTables, and vvDotTable.

## ~BSplineData()

template<int Degree, class Real>

pcl::poisson::BSplineData< Degree, Real >::~BSplineData | ( |  | ) |

virtual

Definition at line 94 of file bspline_data.hpp.

## Member Function Documentation

## clearDotTables()

template<int Degree, class Real>

void pcl::poisson::BSplineData< Degree, Real >::clearDotTables | ( | int | flags | ) |

virtual

Definition at line 290 of file bspline_data.hpp.

References DD_DOT_FLAG, ddDotTable, DV_DOT_FLAG, dvDotTable, VV_DOT_FLAG, and vvDotTable.

Referenced by setDotTables().

## clearValueTables()

template<int Degree, class Real>

void pcl::poisson::BSplineData< Degree, Real >::clearValueTables | ( |  | ) |

virtual

Definition at line 372 of file bspline_data.hpp.

References dValueTables, and valueTables.

Referenced by setValueTables(), and setValueTables().

## Index()

template<int Degree, class Real>

int pcl::poisson::BSplineData< Degree, Real >::Index | ( | int | i1,
|  | int | i2 ) const

inline

Definition at line 379 of file bspline_data.hpp.

References functionCount.

Referenced by setDotTables().

## set()

template<int Degree, class Real>

void pcl::poisson::BSplineData< Degree, Real >::set | ( | int | maxDepth,
|  | bool | useDotRatios = true,
|  | bool | reflectBoundary = false )

Definition at line 116 of file bspline_data.hpp.

References baseBSpline, baseBSplines, baseFunction, baseFunctions, pcl::poisson::PPolynomial< Degree >::BSpline(), pcl::poisson::BinaryNode< Real >::CenterAndWidth(), pcl::poisson::BinaryNode< Real >::CenterCount(), pcl::poisson::BinaryNode< Real >::CornerCount(), pcl::poisson::BinaryNode< Real >::CumulativeCenterCount(), dBaseFunction, depth, pcl::poisson::BinaryNode< Real >::DepthAndOffset(), dLeftBaseFunction, dRightBaseFunction, functionCount, leftBaseFunction, leftBSpline, pcl::poisson::StartingPolynomial< Degree >::p, rightBaseFunction, rightBSpline, sampleCount, and pcl::poisson::StartingPolynomial< Degree >::start.

## setDotTables()

template<int Degree, class Real>

void pcl::poisson::BSplineData< Degree, Real >::setDotTables | ( | int | flags | ) |

virtual

Definition at line 175 of file bspline_data.hpp.

References pcl::poisson::BinaryNode< Real >::CenterIndex(), clearDotTables(), DD_DOT_FLAG, ddDotTable, pcl::poisson::BSplineElements< Degree >::denominator, depth, pcl::poisson::BSplineElements< Degree >::differentiate(), DV_DOT_FLAG, dvDotTable, functionCount, Index(), pcl::poisson::BSplineElements< Degree >::NEUMANN, pcl::poisson::BSplineElements< Degree >::NONE, pcl::poisson::SetBSplineElementIntegrals(), SymmetricIndex(), pcl::poisson::BSplineElements< Degree >::upSample(), VV_DOT_FLAG, and vvDotTable.

## setSampleSpan()

template<int Degree, class Real>

void pcl::poisson::BSplineData< Degree, Real >::setSampleSpan | ( | int | idx,
|  | int & | start,
|  | int & | end,
|  | double | smooth = 0 ) const

Definition at line 303 of file bspline_data.hpp.

References pcl::poisson::BinaryNode< Real >::DepthAndOffset(), and sampleCount.

## setValueTables() [1/2]

template<int Degree, class Real>

void pcl::poisson::BSplineData< Degree, Real >::setValueTables | ( | int | flags,
|  | double | smooth = 0 )

virtual

Definition at line 322 of file bspline_data.hpp.

References baseFunctions, clearValueTables(), D_VALUE_FLAG, dValueTables, functionCount, sampleCount, VALUE_FLAG, and valueTables.

## setValueTables() [2/2]

template<int Degree, class Real>

void pcl::poisson::BSplineData< Degree, Real >::setValueTables | ( | int | flags,
|  | double | valueSmooth,
|  | double | normalSmooth )

virtual

Definition at line 350 of file bspline_data.hpp.

References baseFunctions, clearValueTables(), D_VALUE_FLAG, dValueTables, functionCount, sampleCount, VALUE_FLAG, and valueTables.

## SymmetricIndex() [1/2]

template<int Degree, class Real>

int pcl::poisson::BSplineData< Degree, Real >::SymmetricIndex | ( | int | i1,
|  | int | i2 )

inline static

Definition at line 381 of file bspline_data.hpp.

Referenced by setDotTables().

## SymmetricIndex() [2/2]

template<int Degree, class Real>

int pcl::poisson::BSplineData< Degree, Real >::SymmetricIndex | ( | int | i1,
|  | int | i2,
|  | int & | index )

inline static

Definition at line 387 of file bspline_data.hpp.

## Member Data Documentation

## baseBSpline

template<int Degree, class Real>

BSplineComponents pcl::poisson::BSplineData< Degree, Real >::baseBSpline

Definition at line 70 of file bspline_data.h.

Referenced by set().

## baseBSplines

template<int Degree, class Real>

BSplineComponents* pcl::poisson::BSplineData< Degree, Real >::baseBSplines

Definition at line 72 of file bspline_data.h.

Referenced by BSplineData(), and set().

## baseFunction

template<int Degree, class Real>

PPolynomial< Degree > pcl::poisson::BSplineData< Degree, Real >::baseFunction

Definition at line 68 of file bspline_data.h.

Referenced by set().

## baseFunctions

template<int Degree, class Real>

PPolynomial<Degree>* pcl::poisson::BSplineData< Degree, Real >::baseFunctions

Definition at line 71 of file bspline_data.h.

Referenced by BSplineData(), set(), setValueTables(), and setValueTables().

## D_VALUE_FLAG

template<int Degree, class Real>

const int pcl::poisson::BSplineData< Degree, Real >::D_VALUE_FLAG = 2

static

Definition at line 63 of file bspline_data.h.

Referenced by setValueTables(), and setValueTables().

## dBaseFunction

template<int Degree, class Real>

PPolynomial< Degree-1 > pcl::poisson::BSplineData< Degree, Real >::dBaseFunction

Definition at line 69 of file bspline_data.h.

Referenced by set().

## DD_DOT_FLAG

template<int Degree, class Real>

const int pcl::poisson::BSplineData< Degree, Real >::DD_DOT_FLAG = 4

static

Definition at line 61 of file bspline_data.h.

Referenced by clearDotTables(), and setDotTables().

## ddDotTable

template<int Degree, class Real>

Real * pcl::poisson::BSplineData< Degree, Real >::ddDotTable

Definition at line 66 of file bspline_data.h.

Referenced by BSplineData(), clearDotTables(), and setDotTables().

## depth

template<int Degree, class Real>

int pcl::poisson::BSplineData< Degree, Real >::depth

Definition at line 65 of file bspline_data.h.

Referenced by set(), and setDotTables().

## dLeftBaseFunction

template<int Degree, class Real>

PPolynomial< Degree-1 > pcl::poisson::BSplineData< Degree, Real >::dLeftBaseFunction

Definition at line 69 of file bspline_data.h.

Referenced by set().

## dRightBaseFunction

template<int Degree, class Real>

PPolynomial< Degree-1 > pcl::poisson::BSplineData< Degree, Real >::dRightBaseFunction

Definition at line 69 of file bspline_data.h.

Referenced by set().

## DV_DOT_FLAG

template<int Degree, class Real>

const int pcl::poisson::BSplineData< Degree, Real >::DV_DOT_FLAG = 2

static

Definition at line 60 of file bspline_data.h.

Referenced by clearDotTables(), and setDotTables().

## dValueTables

template<int Degree, class Real>

Real * pcl::poisson::BSplineData< Degree, Real >::dValueTables

Definition at line 67 of file bspline_data.h.

Referenced by BSplineData(), clearValueTables(), setValueTables(), and setValueTables().

## dvDotTable

template<int Degree, class Real>

Real * pcl::poisson::BSplineData< Degree, Real >::dvDotTable

Definition at line 66 of file bspline_data.h.

Referenced by BSplineData(), clearDotTables(), and setDotTables().

## functionCount

template<int Degree, class Real>

int pcl::poisson::BSplineData< Degree, Real >::functionCount

Definition at line 65 of file bspline_data.h.

Referenced by BSplineData(), Index(), set(), setDotTables(), setValueTables(), and setValueTables().

## leftBaseFunction

template<int Degree, class Real>

PPolynomial< Degree > pcl::poisson::BSplineData< Degree, Real >::leftBaseFunction

Definition at line 68 of file bspline_data.h.

Referenced by set().

## leftBSpline

template<int Degree, class Real>

BSplineComponents pcl::poisson::BSplineData< Degree, Real >::leftBSpline

Definition at line 70 of file bspline_data.h.

Referenced by set().

## rightBaseFunction

template<int Degree, class Real>

PPolynomial< Degree > pcl::poisson::BSplineData< Degree, Real >::rightBaseFunction

Definition at line 68 of file bspline_data.h.

Referenced by set().

## rightBSpline

template<int Degree, class Real>

BSplineComponents pcl::poisson::BSplineData< Degree, Real >::rightBSpline

Definition at line 70 of file bspline_data.h.

Referenced by set().

## sampleCount

template<int Degree, class Real>

int pcl::poisson::BSplineData< Degree, Real >::sampleCount

Definition at line 65 of file bspline_data.h.

Referenced by BSplineData(), set(), setSampleSpan(), setValueTables(), and setValueTables().

## VALUE_FLAG

template<int Degree, class Real>

const int pcl::poisson::BSplineData< Degree, Real >::VALUE_FLAG = 1

static

Definition at line 62 of file bspline_data.h.

Referenced by setValueTables(), and setValueTables().

## valueTables

template<int Degree, class Real>

Real* pcl::poisson::BSplineData< Degree, Real >::valueTables

Definition at line 67 of file bspline_data.h.

Referenced by BSplineData(), clearValueTables(), setValueTables(), and setValueTables().

## VV_DOT_FLAG

template<int Degree, class Real>

const int pcl::poisson::BSplineData< Degree, Real >::VV_DOT_FLAG = 1

static

Definition at line 59 of file bspline_data.h.

Referenced by clearDotTables(), and setDotTables().

## vvDotTable

template<int Degree, class Real>

Real* pcl::poisson::BSplineData< Degree, Real >::vvDotTable

Definition at line 66 of file bspline_data.h.

Referenced by BSplineData(), clearDotTables(), and setDotTables().

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/bspline_data.h
- pcl/surface/3rdparty/poisson4/bspline_data.hpp